package cz.frantovo.hrisniciSpameri.grafy;

import de.laures.cewolf.DatasetProduceException;
import de.laures.cewolf.DatasetProducer;
import de.laures.cewolf.links.CategoryItemLinkGenerator;
import de.laures.cewolf.tooltips.CategoryToolTipGenerator;
import java.io.Serializable;
import java.util.Calendar;
import java.util.Date;
import java.util.Map;
import org.jfree.data.category.CategoryDataset;
import org.jfree.data.time.Day;
import org.jfree.data.time.TimeSeries;
import org.jfree.data.time.TimeSeriesCollection;
import org.jfree.data.xy.XYDataset;

/**
 *
 * @author fiki
 */
public class CasovyGrafUtoku implements DatasetProducer, CategoryToolTipGenerator, CategoryItemLinkGenerator, Serializable {

    private static final long serialVersionUID = -9133218147909088777L;

    public XYDataset produceDataset(Map params) throws DatasetProduceException {

        System.setProperty("java.awt.headless", "true");

        TimeSeries timeseries = new TimeSeries("fond", org.jfree.data.time.Day.class);
        TimeSeriesCollection dataset = new TimeSeriesCollection();


        Calendar datum = Calendar.getInstance();
        for (int i = 0; i < 11; i++) {
            datum.add(Calendar.DAY_OF_YEAR, -1);
            double nahodneCislo = 100 - 10 * i - 20 * Math.random();
            timeseries.add(new Day(datum.getTime()), nahodneCislo);
        }

        dataset.addSeries(timeseries);
        return dataset;
    }

    public boolean hasExpired(Map params, Date since) {
        return (System.currentTimeMillis() - since.getTime()) > 5000;
    }

    public String getProducerId() {
        return this.getClass().getSimpleName();
    }

    public String generateToolTip(CategoryDataset data, int series, int item) {
        return "";
    }

    public String generateLink(Object dataset, int series, Object category) {
        return "";
    }
}
